Skip to main content
PATCH
/
v1
/
fuel_surcharge_schedules
/
{id}
Update FuelSurchargeSchedule
curl --request PATCH \
  --url https://api.tread-horizon.com/v1/fuel_surcharge_schedules/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "fuel_price_index_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "surcharge_type": "percentage"
}
'
{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "name": "<string>",
    "fuel_price_index": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>"
    },
    "surcharge_type": "percentage"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.tread.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Accept-Language
string
default:en

The Accept-Language request HTTP header indicates the natural language and locale that the client prefers.

Example:

"en"

Path Parameters

id
string<uuid>
required

FuelSurchargeSchedule ID

Body

application/json
name
string
fuel_price_index_id
string<uuid>
surcharge_type
enum<string>
Available options:
percentage,
per_unit

Response

OK

data
FuelSurchargeSchedule-Read · object
required